/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package si_sys_exp;

import javax.swing.*;
import javax.swing.border.*;
import javax.swing.table.*;
import java.awt.*;
import java.awt.event.*;

import java.util.Iterator;
import java.util.List;

import CLIPSJNI.*;
import java.util.ArrayList;

/**
 *
 * @author mikeqcp
 */
public class Guitar implements ActionListener{

    JLabel displayLabel;
    JButton nextButton;
    JButton prevButton;
    JPanel choicesPanel;
    ButtonGroup choicesButtons;
    int result = -1;
    List prev = null;

    Environment clips;


    Guitar()
    {
       JFrame jfrm = new JFrame("Guitar_Chooser");

      /*=============================*/
      /* Specify FlowLayout manager. */
      /*=============================*/

      jfrm.getContentPane().setLayout(new GridLayout(3,1));

      /*=================================*/
      /* Give the frame an initial size. */
      /*=================================*/

      jfrm.setSize(550,300);
      jfrm.setLocation(300, 300);

      /*=============================================================*/
      /* Terminate the program when the user closes the application. */
      /*=============================================================*/

      jfrm.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      /*===========================*/
      /* Create the display panel. */
      /*===========================*/

      JPanel displayPanel = new JPanel();
      displayLabel = new JLabel("<html><br>");
      displayPanel.add(displayLabel);

      /*===========================*/
      /* Create the choices panel. */
      /*===========================*/

      choicesPanel = new JPanel();
      choicesButtons = new ButtonGroup();



      /*===========================*/
      /* Create the buttons panel. */
      /*===========================*/

      JPanel buttonPanel = new JPanel();

      //prevButton = new JButton("Prev");
      //prevButton.setActionCommand("Prev");
      //buttonPanel.add(prevButton);
      //prevButton.addActionListener(this);

      nextButton = new JButton("Nastepne");
      nextButton.setActionCommand("Nastepne");
      buttonPanel.add(nextButton);
      nextButton.addActionListener(this);

      /*=====================================*/
      /* Add the panels to the content pane. */
      /*=====================================*/

      jfrm.getContentPane().add(displayPanel);
      jfrm.getContentPane().add(choicesPanel);
      jfrm.getContentPane().add(buttonPanel);

      /*========================*/
      /* Load the auto program. */
      /*========================*/

      clips = new Environment();

      clips.load("guitar.clp");

      clips.reset();
      clips.run();
      nextUIState();

      /*====================*/
      /* Display the frame. */
      /*====================*/

      jfrm.setVisible(true);

    }

     private void nextUIState()
     {
      /*=====================*/
      /* Get the state-list. */
      /*=====================*/

      String evalStr = "(find-all-facts ((?f state-list)) TRUE)";

      MultifieldValue pv = (MultifieldValue) clips.eval(evalStr);

      int tNum = pv.listValue().size();

      if (tNum == 0) 
          return;


      FactAddressValue fv = (FactAddressValue) pv.listValue().get(0);

      String currentID = fv.getFactSlot("current").toString();

      /*===========================*/
      /* Get the current UI state. */
      /*===========================*/

      evalStr = "(find-all-facts ((?f UI-state)) " +
                                "(eq ?f:id " + currentID + "))";

      pv = (MultifieldValue) clips.eval(evalStr);

      tNum = pv.listValue().size();

      if (tNum == 0) return;

      fv = (FactAddressValue) pv.listValue().get(0);

      /*========================================*/
      /* Determine the Next/Prev button states. */
      /*========================================*/

      if (fv.getFactSlot("state").toString().equals("final"))
        {
         result = 1;
         nextButton.setActionCommand("Restart");
         nextButton.setText("Restart");
        }
      else if (fv.getFactSlot("state").toString().equals("initial"))
        {
         nextButton.setActionCommand("Nastepne");
         nextButton.setText("Nastepne");
         
        }
      else
        {
         nextButton.setActionCommand("Nastepne");
         nextButton.setText("Nastepne");
         
        }

      /*=====================*/
      /* Set up the choices. */
      /*=====================*/

      choicesPanel.removeAll();
      choicesButtons = new ButtonGroup();

      pv = (MultifieldValue) fv.getFactSlot("odpowiedzi");

      List theList = pv.listValue();

//      System.out.println(theList+"\nand\n"+prev);
//
//      if(prev!=null && prev.equals(theList))
//      {
//          result=0;
//      }
//
//      prev = theList;

      String selected = fv.getFactSlot("response").toString();

      for (Iterator itr = theList.iterator(); itr.hasNext();)
        {
         PrimitiveValue bv = (PrimitiveValue) itr.next();
         JRadioButton rButton;

         if (bv.toString().equals(selected))
            { rButton = new JRadioButton(bv.toString(),true); }
         else
            { rButton = new JRadioButton(bv.toString(),false); }

         rButton.setActionCommand(bv.toString());
         choicesPanel.add(rButton);
         choicesButtons.add(rButton);
        }

      choicesPanel.repaint();

      /*====================================*/
      /* Set the label to the display text. */
      /*====================================*/


     if(result==-1)
     {
          String theText = ((StringValue) fv.getFactSlot("wyswietl")).stringValue();
          
          
          displayLabel.setIcon(null);
          displayLabel.setText("<html><br>" + theText);
      }else
      {
          String theText = ((StringValue) fv.getFactSlot("wyswietl")).stringValue();

          if(theText.equals("error"))
          {
            displayLabel.setIcon(null);
            displayLabel.setText("<html><br>" + "Nie znaleziono pasujacej gitary.. Sorry..");
          }
         else
          new Result(Integer.parseInt(theText));

      }
     }

   /*########################*/
   /* ActionListener Methods */
   /*########################*/

   /*******************/
   /* actionPerformed */
   /*******************/
   public void actionPerformed(
     ActionEvent ae)
     {
      /*=====================*/
      /* Get the state-list. */
      /*=====================*/

      String evalStr = "(find-all-facts ((?f state-list)) TRUE)";

      MultifieldValue pv = (MultifieldValue) clips.eval(evalStr);

      int tNum = pv.listValue().size();

      if (tNum == 0) return;

      FactAddressValue fv = (FactAddressValue) pv.listValue().get(0);

      String currentID = fv.getFactSlot("current").toString();

      /*=========================*/
      /* Handle the Next button. */
      /*=========================*/

      try{
      if (ae.getActionCommand().equals("Nastepne"))
        {
         if (choicesButtons.getButtonCount() == 0)
           { clips.assertString("(next " + currentID + ")"); }
         else
           {
            clips.assertString("(next " + currentID + " " +
                               choicesButtons.getSelection().getActionCommand() +
                               ")");
           }

         clips.run();
         nextUIState();
        }
      else if (ae.getActionCommand().equals("Restart"))
        {
         result = -1;
         clips.reset();
         clips.run();
         nextUIState();
        }
         }
      catch(Exception e){};

     }
}
