; modele latarek

; tylne

; MacTronic
(defrule Walle
	(location REAR)
	(rearLED REAR_POW1)
	(rearPrice REAR_PINT3)
	=>
	(assert (result
		(image WALLE_IMG)
		(description WALLE_DESC)	
	))	
)

(defrule BPM-4SL
	(location REAR)
	(rearLED REAR_POW3)
	(rearPrice REAR_PINT3)
	=>
	(assert (result
		(image BPM-4SL_IMG)
		(description BPM-4SL_DESC)
	))	
)

(defrule BPM-1SL
	(location REAR)
	(rearLED REAR_POW2)
	(rearPrice REAR_PINT2)
	=>
	(assert (result
		(image BPM-1SL_IMG)
		(description BPM-1SL_DESC)
	))	
)

(defrule FE-5TL
	(location REAR)
	(rearLED REAR_POW3)
	(rearPrice REAR_PINT1)
	=>
	(assert (result
		(image FE-5TL_IMG)
		(description FE-5TL_DESC)
	))	
)

(defrule TL-5
	(location REAR)
	(rearLED REAR_POW3)
	(rearPrice REAR_PINT1)
	=>
	(assert (result
		(image TL-5_IMG)
		(description TL-5_DESC)
	))	
)

; Smart
(defrule RL317R
	(location REAR)
	(rearLED REAR_POW2)
	(rearPrice REAR_PINT2)
	=>
	(assert (result
		(image RL317R_IMG)
		(description RL317R_DESC)
	))	
)

(defrule RL321R
	(location REAR)
	(rearLED REAR_POW1)
	(rearPrice REAR_PINT3)
	=>
	(assert (result
		(image RL321R_IMG)
		(description RL321R_DESC)
	))	
)

(defrule RL403R
	(location REAR)
	(rearLED REAR_POW3)
	(rearPrice REAR_PINT2)
	=>
	(assert (result
		(image RL403R_IMG)
		(description RL403R_DESC)
	))	
)

; Sigma
(defrule CUBERIDER2
	(location REAR)
	(rearLED REAR_POW3)
	(rearPrice REAR_PINT3)
	=>
	(assert (result
		(image CUBERIDER2_IMG)
		(description CUBERIDER2_DESC)
	))	
)

(defrule TBLAZER
	(location REAR)
	(rearLED REAR_POW2)
	(rearPrice REAR_PINT3)
	=>
	(assert (result
		(image TBLAZER_IMG)
		(description TBLAZER_DESC)
	))	
)

; PRZEDNIE

; Mactronic Scream
(defrule scream
	(location FRONT)
	(purpose ROADS|FOREST|OFFROAD)
	(or (aluBody ?) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight BTW_100_200g)
	(burnTime TO_2h)
	(or (usbCable NO) (not(usbCable ?)))	
	=>
	(assert (result
		(image SCREAM_IMG)
		(description SCREAM_DESC)
	))
)

; Mactronic Noise 500
(defrule noise500
	(location FRONT)
	(purpose FOREST|OFFROAD)
	(or (aluBody NO) (not(aluBody ?)))
	(powering ACU_INCL)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_200_400)
	(or (helmetMount ?) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight BTW_100_200g)
	(burnTime TO_2h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image NOISE500_IMG)
		(description NOISE500_DESC)
	))
)

; Mactronic Noise 300
(defrule noise300
	(location FRONT)
	(purpose ROADS|FOREST|OFFROAD)
	(or (aluBody NO) (not(aluBody ?)))
	(powering ACU_INCL)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight BTW_100_200g)
	(burnTime TO_2h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image NOISE300_IMG)
		(description NOISE300_DESC)
	))
)

; Mactronic BPM3SL
(defrule bpm3sl
	(location FRONT)
	(purpose CITY|ROADS)
	(or (aluBody NO) (not(aluBody ?)))
	(powering ACU_INCL)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime BTW_2_3h)
	(usbCable YES)
	=>
	(assert (result
		(image BPM3SL_IMG)
		(description BPM3SL_DESC)
	))
)

; Mactronic FE-1P
(defrule fe-1p
	(location FRONT)
	(purpose CITY)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight YES) (not(positionLight ?)))
	(frontPrice MAX_50)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes NO)
	(or (flashingMode NO) (not(flashingMode ?)))
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime ?)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image FE-1P_IMG)
		(description FE-1P_DESC)
	))
)

; Mactronic FN-9
(defrule fn-9
	(location FRONT)
	(purpose CITY|ROADS)
	(or (aluBody ?) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice MAX_50)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes NO)
	(or (flashingMode NO) (not(flashingMode ?)))
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime ?)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image FN-9_IMG)
		(description FN-9_DESC)
	))
)

; Mactronic FL-2SL
(defrule fl-2sl
	(location FRONT)
	(purpose CITY)
	(or (aluBody NO) (not(aluBody ?)))
	(powering CR2032)
	(or (charger ?) (not(charger ?)))
	(or (positionLight YES) (not(positionLight ?)))
	(frontPrice MAX_50)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes NO)
	(or (flashingMode NO) (not(flashingMode ?)))
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image FL-2SL_IMG)
		(description FL-2SL_DESC)
	))
)

; Mactronic FE-1W
(defrule fe-1w
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice MAX_50)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime ?)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image FE-1W_IMG)
		(description FE-1W_DESC)
	))
)

; Bocialarka XM-L
(defrule bocialarka
	(location FRONT)
	(purpose FOREST|OFFROAD)
	(or (aluBody ?) (not(aluBody ?)))
	(powering ACU_18650)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_200_400)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(or (flashingMode NO) (not(flashingMode ?)))
	(or (modularity ?) (not(modularity ?)))
	(weight BTW_100_200g)
	(burnTime TO_2h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image BOCIALARKA_XML_IMG)
		(description BOCIALARKA_XML_DESC)
	))
)

; Magicshine MJ-872
(defrule mj-872
	(location FRONT)
	(purpose OFFROAD)
	(or (aluBody ?) (not(aluBody ?)))
	(powering ACU_18650)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice MIN_400)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(or (flashingMode NO) (not(flashingMode ?)))
	(modularity YES)
	(weight MTH_200g)
	(burnTime BTW_2_3h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image MJ-872_IMG)
		(description MJ-872_DESC)
	))
)

; Magicshine MJ-880
(defrule mj-880
	(location FRONT)
	(purpose OFFROAD)
	(or (aluBody ?) (not(aluBody ?)))
	(powering ACU_18650)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice MIN_400)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(or (flashingMode NO) (not(flashingMode ?)))
	(modularity YES)
	(weight MTH_200g)
	(burnTime BTW_2_3h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image MJ-880_IMG)
		(description MJ-880_DESC)
	))
)

; Cateye Nano Shot
(defrule nano_shot
	(location FRONT)
	(purpose ROADS|FOREST|OFFROAD)
	(or (aluBody ?) (not(aluBody ?)))
	(powering ACU_INC)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice MIN_400)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MTH_200g)
	(burnTime TO_2h)
	(usbCable YES)
	=>
	(assert (result
		(image NANO_SHOT_IMG)
		(description NANO_SHOT_DESC)
	))
)

; Cateye Hybrid
(defrule hybrid
	(location FRONT)
	(purpose CITY|ROADS)
	(or (aluBody NO) (not(aluBody ?)))
	(powering ACU_INC)
	(charger ?)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight BTW_100_200g)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image HYBRID_IMG)
		(description HYBRID_DESC)
	))
)

; Cateye Econom Force RC
(defrule force_rc
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA|ACU_INC)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_200_400)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MTH_200g)
	(burnTime BTW_3_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image FORCE_RC_IMG)
		(description FORCE_RC_DESC)
	))
)

; Cateye Econom Force
(defrule force
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_200_400)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MTH_200g)
	(burnTime BTW_3_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image FORCE_IMG)
		(description FORCE_DESC)
	))
)

; Cateye Econom RC
(defrule econom_rc
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA|ACU_INC)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_200_400)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight BTW_100_200g)
	(burnTime BTW_3_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image ECONOM_RC_IMG)
		(description ECONOM_RC_DESC)
	))
)

; Cateye Econom
(defrule econom
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight BTW_100_200g)
	(burnTime BTW_3_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image ECONOM_IMG)
		(description ECONOM_DESC)
	))
)

; Cateye Jido
(defrule jido
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight BTW_100_200g)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image JIDO_IMG)
		(description JIDO_DESC)
	))
)

; Cateye Uno
(defrule uno
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image UNO_IMG)
		(description UNO_DESC)
	))
)

; Cateye Rapid F
(defrule rapid
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering ACU_INCL)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime TO_2h)
	(usbCable YES)
	=>
	(assert (result
		(image RAPID_1_IMG)
		(description RAPID_1_DESC)
	))
)

; Cateye TL-LD150-F
(defrule ld150f
	(location FRONT)
	(purpose CITY)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight YES) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image TL-LD150-F_IMG)
		(description TL-LD150-F_DESC)
	))
)

; Cateye TL-LD130-F
(defrule ld130f
	(location FRONT)
	(purpose CITY)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight YES) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image TL-LD130-F_IMG)
		(description TL-LD130-F_DESC)
	))
)

; Cateye TL-LD170 White
(defrule ld170
	(location FRONT)
	(purpose CITY)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight YES) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image TL-LD170_IMG)
		(description TL-LD170_DESC)
	))
)

; Author Proxima
(defrule proxima
	(location FRONT)
	(purpose ROADS|FOREST|OFFROAD)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA|ACU_INCL)
	(or (charger YES) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_200_400)
	(or (helmetMount ?) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(modularity YES)
	(weight ?)
	(burnTime BTW_3_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image PROXIMA_IMG)
		(description PROXIMA_DESC)
	))
)

; Author Solaris
(defrule solaris
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes NO)
	(or (flashingMode NO) (not(flashingMode ?)))
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image SOLARIS_IMG)
		(description SOLARIS_DESC)
	))
)

; Author Optifuzee
(defrule optifuzee
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image OPTIFUZZE_IMG)
		(description OPTIFUZZE_DESC)
	))
)

; Author Vision
(defrule vision
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image VISION_IMG)
		(description VISION_DESC)
	))
)

; Author McWink
(defrule mcwink
	(location FRONT)
	(purpose CITY|ROADS)
	(or (aluBody NO) (not(aluBody ?)))
	(powering ACU_INCL)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime BTW_2_3h)
	(usbCable YES)
	=>
	(assert (result
		(image MCWINK_IMG)
		(description MCWINK_DESC)
	))
)

; Author X-Guard
(defrule x-guard
	(location FRONT)
	(purpose CITY|ROADS)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image XGUARD_IMG)
		(description XGUARD_DESC)
	))
)

; Author Zoom
(defrule zoom
	(location FRONT)
	(purpose CITY|ROADS)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image ZOOM_IMG)
		(description ZOOM_DESC)
	))
)

; Author Flat
(defrule flat
	(location FRONT)
	(purpose CITY|ROADS)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image FLAT_IMG)
		(description FLAT_DESC)
	))
)

; Author Xyrius-F
(defrule xyrius-f
	(location FRONT)
	(purpose CITY)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight YES) (not(positionLight ?)))
	(frontPrice MAX_50)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image XYRIUS-F_IMG)
		(description XYRIUS-F_DESC)
	))
)

; Sigma Powerled
(defrule powerled
	(location FRONT)
	(purpose OFFROAD)
	(or (aluBody ?) (not(aluBody ?)))
	(powering ACU_INCL)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice MTH_400)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(modularity YES)
	(weight BTW_100_200g)
	(burnTime BTW_2_3h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image POWERLED_IMG)
		(description POWERLED_DESC)
	))
)

; Sigma Karma
(defrule karma
	(location FRONT)
	(purpose FOREST|OFFROAD)
	(or (aluBody ?) (not(aluBody ?)))
	(powering ACU_INCL)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_200_400)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(modularity YES)
	(weight BTW_100_200g)
	(burnTime BTW_3_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image KARMA_IMG)
		(description KARMA_DESC)
	))
)

; Sigma Pava
(defrule pava
	(location FRONT)
	(purpose ROADS|FOREST|OFFROAD)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(or (flashingMode NO) (not(flashingMode ?)))
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image PAVA_IMG)
		(description PAVA_DESC)
	))
)

; Sigma Smilux z adowark
(defrule smilux_rc
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA|ACU_INCL)
	(charger YES)
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes NO)
	(or (flashingMode NO) (not(flashingMode ?)))
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image SMILUX_CHARGER_IMG)
		(description SMILUX_CHARGER_DESC)
	))
)

; Sigma Lightster
(defrule lightster
	(location FRONT)
	(purpose ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_100_200)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes NO)
	(or (flashingMode NO) (not(flashingMode ?)))
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image LIGHSTER_IMG)
		(description LIGHSTER_DESC)
	))
)

; Sigma Roadster
(defrule roadster
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes NO)
	(or (flashingMode NO) (not(flashingMode ?)))
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image ROADSTER_IMG)
		(description ROADSTER_DESC)
	))
)

; Sigma Quadro
(defrule quadro
	(location FRONT)
	(purpose CITY|ROADS|FOREST)
	(or (aluBody NO) (not(aluBody ?)))
	(powering AAA)
	(or (charger ?) (not(charger ?)))
	(or (positionLight NO) (not(positionLight ?)))
	(frontPrice BTW_50_100)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight ?)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image QUADRO_IMG)
		(description QUADRO_DESC)
	))
)

; Sigma Micro
(defrule micro
	(location FRONT)
	(purpose CITY)
	(or (aluBody NO) (not(aluBody ?)))
	(powering CR2032)
	(or (charger ?) (not(charger ?)))
	(or (positionLight YES) (not(positionLight ?)))
	(frontPrice MAX_50)
	(or (helmetMount NO) (not(helmetMount ?)))
	(modes YES)
	(flashingMode ?)
	(or (modularity ?) (not(modularity ?)))
	(weight MAX_100g)
	(burnTime MTH_10h)
	(or (usbCable ?) (not(usbCable ?)))
	=>
	(assert (result
		(image MICRO_IMG)
		(description MICRO_DESC)
	))
)